%define languageenglazy Frisian
%define languagecode    fy
%define lc_ctype        fy_NL

Name:           hunspell-%{languagecode}
Version:        2.0.1
Release:        %mkrel 7
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+
Group:          System/Internationalization
URL:            http://www.mozilla-nl.org/projecten/frysk
Source0:        http://releases.mozilla.org/pub/mozilla.org/addons/5679/frysk_wurdboek-2.0.1-fx+tb+sm.xpi

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-fy
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-fy_DE = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-fy_DE = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
for i in README-fy.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i | tr -d '\r' > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
done

%install
install -D -m 0644 -p dictionaries/fy.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dictionaries/fy.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README-fy.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.0.1-7.mga3
+ Revision: 353474
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 2.0.1-6.mga3
+ Revision: 325296
- stop producing language aliases

* Tue Mar 20 2012 kamil <kamil> 2.0.1-5.mga2
+ Revision: 224650
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 2.0.1-4.mga2
+ Revision: 207754
- use better obsoleting of myspell

* Wed Jan 18 2012 kamil <kamil> 2.0.1-3.mga2
+ Revision: 197717
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 2.0.1-2.mga1
+ Revision: 68784
- imported package hunspell-fy

